import { BlockModel, ContentModel, Styles } from '../../models/index';
export declare function convertHtmlElementToBlocks(container: HTMLElement, keepFormat: boolean): BlockModel[];
export declare function convertInlineElementsToContentModels(element: HTMLElement, keepFormat: boolean): ContentModel[];
export declare function extractStylesFromElement(element: HTMLElement, styles?: Styles): Styles;
export declare function parseHtmlTableToMatrix(root: HTMLElement): {
    matrix: HTMLElement[][];
    hasHeader: boolean;
};
export declare function parseHtmlTableToBlock(element: HTMLElement): BlockModel;
export declare function getBlockDataAsHTML(blocks: BlockModel[], editorId?: string): string;
export declare function renderContentAsHTML(content?: ContentModel[]): string;
export declare function renderBlockAsHTML(block: BlockModel, editorId?: string): string;
